Subject: Re: bug#8492: 23.3; Time to use a different binding for completion?

From: Lennart Borgman <[email-masked]>
Date: Tue, 19 Apr 2011 14:21:18 +0200

On Tue, Apr 19, 2011 at 12:52 PM, Andrew W. Nosenko
<[email-masked]> wrote:
> On Wed, Apr 13, 2011 at 20:26, Reuben Thomas <[email-masked]> wrote:
>> Emacs binds various completion functions to M-Tab, which is already used
>> by many window managers, including Compiz and Metacity, i.e. the WMs one
>> is likely to use on a modern GNU system, for switching between open
>> windows.
>
> Unable to say anything about Compiz, but Metacity binds nothing to
> M-Tab (moreover, it binds nothing to Meta-combinations at all).  For
> switching between windows it uses Alt-Tab.
>
> Another problem is that in many Linux distros Meta and Alt bound the
> same physical key by default.  But they may be easy splited using
> keyboard preferences.  I use Windows key for Meta and Alt key for Alt,
> for example.

On w32 moving Emacs META from Alt to the Windows key is not that
simple. It requires my patch for this to be reliable (avaliable in the
EmacsW32 repository).